/**
 * @file
 * Defining behaviour for the user scripts and history entries table.
 */

(function ($) {
  'use strict';

  Drupal.behaviors.phpx_tools = {
    attach: function (context, settings) {
      $('.phpx-tools a.script-load').once('phpx-load').click(function (e) {
        e.preventDefault();

        var $parent = $(this).parents('tr').eq(0);
        var $loadLink = $('.script-load', $parent);
        var $codeCell = $('#' + $loadLink.attr('rel'), $parent);
        if (typeof Drupal.settings.phpxtools != 'undefined' &&
          typeof Drupal.settings.phpxtools.editors['code'] != 'undefined') {
          Drupal.settings.phpxtools.editors['code'].setValue($codeCell.text());
        }
        else {
          $('#edit-code').val($codeCell.text());
        }

        var $scriptName = $('#edit-script-name');
        var $load = $('#' + $loadLink.attr('rel') + '-name', $parent);

        if ($scriptName.length > 0 && $load.length > 0) {
          $scriptName.val($load.text());
        }
      });
    }
  };

})(jQuery);
